.ico-down {
    width: 1.2rem;
    height: 1.2rem;
    object-fit: contain;
    transition: all 0.3s;
}

/* DROPDOWN */
.dropdown {
  display: inline-block;
  margin: 0;
  position: relative;

    .dropdown-content {
        position: absolute;
        z-index: 99;
        left: 50%;
        width: auto;
        top: 100%;
        overflow: hidden;
        transition: all 0.3s ease-in-out;
        opacity: 0;
        text-align: left;
        margin: 0;
        visibility: hidden;
        pointer-events: none;
        padding: 2rem;
        background-color: var(--black);
        border-radius: 5px;
        min-width: 25rem;
        translate: -50% 0;
        text-align: center;

        & a {
            line-height: 1.2;

            &:hover {
                color: var(--white);
            }
        }
    }
}

.dropdown:hover {
    .dropdown-content {
        height: auto;
        opacity: 1;
        visibility: visible;
        pointer-events: all;
    }
}




/* TOGGLE */
ul.accordion {
    text-align: left;
    .inner {
        overflow: hidden;
        display: none;
        padding: 1rem 0;
    }

    & .toggle {
        cursor: pointer;
    }
}

.rotate {
  rotate: 180deg;
}

.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 100;
    top: 0;
    overflow-x: hidden;
    transition: 0.5s;
    right: 0;
    overflow-y: scroll;

    .closebtn {
        position: absolute;
        top: 2rem;
        color: var(--black);
        font-size: 2.6rem;
        background: var(--white);
        border-radius: 5px;
        width: 2.5rem;
        height: 2.5rem;
        display: flex;
        justify-content: center;
        align-items: center;
        line-height: 1;
        right: 2rem;
        z-index: 9;
        background: transparent;
    }

    .flexnav {
        display: flex;
        position: relative;

        .bgcolor {
            position: fixed;
            background-color: rgba(20, 20, 20, 0.6);
            width: 0;
            min-height: 100vh;
            transition-timing-function: cubic-bezier(1.28, 0.89, 0.32, 0.18);
            left: 0;
            top: 0;
            position: absolute;
            height: 100%;

            @media screen and (min-width:350px) {
                width: 15%;
            }
        }

        .bgblack {
            background-color: var(--blu);
            min-height: 100vh;
            height: 100%;
            margin-left: 0;
            width: 100%;
            padding: 3rem 4%;

            @media screen and (min-width:350px) {
                margin-left: 15%;
                width: 85%;
                padding: 3rem;
            }

            & a {
                font-size: 2rem;
                color: var(--white);
                font-weight: 500;
                text-transform: uppercase;
            }
        }
    }
}

.sidenav {
    .logo-resp {
        margin: 0 0 2rem;

        & img {
            width: 20rem;
            height: auto;
            object-fit: contain;
            aspect-ratio: 70 / 11;
            max-width: 100%;

            @media screen and (min-width:350px) {
                width: 23rem;
            }
            @media screen and (min-width:450px) {
                width: 25rem;
            }
        }
    }
}


#myBtn {
  opacity: 0;
  visibility: hidden;
  position: fixed;
  bottom: 2rem;
  right: 2rem;
  z-index: 99;
  transition: all 0.3s;
  background: var(--black);
  border-radius: 10rem;
  height: 3.5rem;
  width: 3.5rem;
  box-shadow: 0 0 1rem rgba(0, 0, 0, 0.5);

    & img {
        width: 2.5rem;
        height: 2.5rem;
    }

    &.arrow-visible {
        opacity: 1;
        visibility: visible;
    }
}


/* inizio */
.fascia_menu {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    margin: 0 auto;
    padding: 3.5rem 0 0;
    z-index: 2;

    & .container {
        display: flex;
        flex-wrap: wrap;
        align-items: center;

        @media screen and (min-width: 1190px) {
            align-items: inherit;
        }
    }

    & img.logo {
        width: 20rem;
        height: auto;
        aspect-ratio: 70 / 11;
        max-width: 100%;
        padding: 0 0 0 4%;

        @media screen and (min-width:370px) {
            padding: 0;
        }
        @media screen and (min-width:420px) {
            width: 25rem;
        }
        @media screen and (min-width:1190px) {
            width: 28rem;
        }
    }

    & .menu {
        width: calc(100% - 28rem - 5rem);
        display: none;
        padding: 0 0 0 2rem;

        @media screen and (min-width:1190px) {
            display: block;
        }

        & ul {
            display: flex;
            flex-wrap: wrap;
            justify-content: flex-end;
            height: 100%;

            & li {
                height: 100%;

                & a {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    padding: 0 1.1rem;
                    position: relative;
                    height: 100%;
                    color: var(--white);
                    text-transform: uppercase;
                    font-size: 1.7rem;

                    @media screen and (min-width:1285px) {
                        padding: 0 1.5rem;
                        font-size: 1.8rem;
                    }

                    @media screen and (min-width:1420px) {
                        padding: 0 2rem;
                    }

                    &::after {
                        display: block;
                        content: '';
                        width: 8px;
                        height: 8px;
                        border-radius: 1rem;
                        background-color: var(--pink);
                        position: absolute;
                        bottom: 1rem;
                        left: 0;
                        right: 0;
                        margin: 0 auto;
                        opacity: 0;
                        transition: all .3s;
                    }

                    &:hover, &.active {
                        &::after {
                            opacity: 1;
                        }
                    }
                }
            }
        }
    }
}

.lingue {
    display: none;

    @media screen and (min-width:1190px) {
        display: block;
        width: 5rem;
        padding: 0 0 0 2rem;
        border-left: 1px solid var(--white);
    }

    & .dropdown {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: flex-end;

        @media screen and (min-width:370px) {
            justify-content: flex-start;
        }

        & a {
            color: var(--white);
            height: 100%;
            display: flex;
            align-items: center;
            gap: 5px;
        }

        & .dropdown-content {
            background-color: rgba(255, 255, 255, 0.3);
            min-width: inherit;
            padding: 1rem 0 1.5rem;

            & a {
                padding: 1rem 2rem 5px;

                &:hover {
                    color: var(--pink);
                }
            }
        }
    }
}

.menu {
    & .dropdown {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: flex-end;

        @media screen and (min-width:370px) {
            justify-content: flex-start;
        }

        & a {
            color: var(--white);
            height: 100%;
            display: flex;
            align-items: center;
            gap: 5px;
        }

        & .dropdown-content {
            background-color: rgba(255, 255, 255, 0.3);
            min-width: 15rem;
            padding: 1rem 0 1.5rem;

            & .sub-nav {
                justify-content: flex-start;
            }

            & a {
                padding: 1rem 2rem 5px;
                text-align: left;

                &:hover {
                    color: var(--pink);
                }

                &::after {
                    display: none;
                }
            }
        }
    }
}



/* RESPONSIVE */
.menuresponsive {
  display: flex;
  width: calc(100% - 20rem);
  justify-content: flex-end;
  align-items: flex-start;
  padding: 0 4% 0 0;

    @media screen and (min-width: 420px) {
        width: calc(100% - 25rem);
        padding: 0;
    }
    @media screen and (min-width: 1190px) {
        display: none;
    }

    & img {
        width: 3.5rem;
        height: 3.5rem;
        aspect-ratio: 1/1;
    }

    
}

.mb-lingue {
    padding: 2rem 0 0;
    margin: 2rem 0 0;
    border-top: 1px solid var(--white);

    & .toggle {
        display: flex;
        align-items: center;
        gap: 1rem;
    }
}